package com.mx.cneeds.server.logupload.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mx.cneeds.server.dao.DeviceLogmediaDao;
import com.mx.cneeds.server.entity.DeviceLogEntity;
import com.mx.cneeds.server.entity.DeviceLogmediaEntity;
import com.mx.cneeds.server.logupload.service.DeviceLogMediaService;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * @ClassName DeviceLogMediaServiceImpl
 * @Author zzrdark
 * @Date 2020-04-23 17:19
 * @Description TODO
 **/
@Service
public class DeviceLogMediaServiceImpl extends ServiceImpl<DeviceLogmediaDao, DeviceLogmediaEntity> implements DeviceLogMediaService  {

    @Override
    public void savewechatMedia(Long logId, List<String> urls){
        List<DeviceLogmediaEntity> deviceLogmediaEntities = new LinkedList<DeviceLogmediaEntity>();
        for (String url:urls){
            DeviceLogmediaEntity deviceLogmediaEntity = new DeviceLogmediaEntity();
            deviceLogmediaEntity.setLocationUrl(url);
            deviceLogmediaEntity.setLogId(logId);
            deviceLogmediaEntity.setType(url.substring(url.indexOf(".")));
            deviceLogmediaEntities.add(deviceLogmediaEntity);
        }
        saveBatch(deviceLogmediaEntities);
    }

}
