package com.mx.cneeds.server.datashow.client;

import com.mx.cneeds.common.dto.JwtToken;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @ClassName authorizationClient
 * @Author zzrdark
 * @Date 2020-03-04 17:33
 * @Description TODO
 **/

@FeignClient(name = "CNEEDS-SERVER-AUTHORIZATION")
public interface AuthorizationClient {


    @PostMapping("/oauth/token")
    JwtToken getToken(@RequestParam("grant_type") String grant_type,
                      @RequestParam("username") String username,
                      @RequestParam("password") String password,
                      @RequestParam("scope") String scope);

}
